"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCacheKey = void 0;
var _cryptoHash = require("crypto-hash");
var createKey = function createKey(input) {
  if (typeof input === "string") {
    return input;
  }
  return JSON.stringify(input);
};
var createCacheKey = exports.createCacheKey = function createCacheKey(input) {
  var key = createKey(input);
  return (0, _cryptoHash.sha1)(key, {
    outputFormat: "hex"
  });
};

//# sourceMappingURL=createCacheKey.js.map