"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RecordLockingGetLockRecord = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _getLockRecord = require("./graphql/getLockRecord");
var _error = require("@webiny/error");
var RecordLockingGetLockRecord = exports.RecordLockingGetLockRecord = /*#__PURE__*/function () {
  function RecordLockingGetLockRecord(params) {
    (0, _classCallCheck2.default)(this, RecordLockingGetLockRecord);
    this.client = params.client;
  }
  return (0, _createClass2.default)(RecordLockingGetLockRecord, [{
    key: "execute",
    value: async function execute(params) {
      var result = await this.client.query({
        query: _getLockRecord.GET_LOCK_RECORD_QUERY,
        variables: params
      });
      if (result.data.recordLocking.getLockRecord.error) {
        throw new _error.WebinyError(result.data.recordLocking.getLockRecord.error);
      } else if (!result.data.recordLocking.getLockRecord.data) {
        throw new _error.WebinyError("No data returned from server.");
      }
      return result.data.recordLocking.getLockRecord;
    }
  }]);
}();

//# sourceMappingURL=RecordLockingGetLockRecord.js.map