"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createListLockRecords = exports.LIST_LOCK_RECORDS = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _graphqlTag = _interopRequireDefault(require("graphql-tag"));
var _fields = require("./fields");
var _templateObject;
var createListLockRecords = exports.createListLockRecords = function createListLockRecords() {
  return (0, _graphqlTag.default)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n        query RecordLockingListLockedRecords(\n            $where: RecordLockingListWhereInput\n            $sort: [RecordLockingListSorter!]\n            $limit: Int\n            $after: String\n        ) {\n            recordLocking {\n                listLockRecords(where: $where, sort: $sort, limit: $limit, after: $after) {\n                    data {\n                        ", "\n                    }\n                    error {\n                        ", "\n                    }\n                }\n            }\n        }\n    "])), _fields.LOCK_RECORD_FIELDS, _fields.ERROR_FIELDS);
};
var LIST_LOCK_RECORDS = exports.LIST_LOCK_RECORDS = createListLockRecords();

//# sourceMappingURL=listLockRecords.js.map